#include <stdio.h>
#include <locale.h>
#include <stdlib.h>
#include "init.h"
#include "config.h"
#include "curses-local.h"
#include "thnc/thread-ncurses.h"

static void obnovTerminal()
{
    printw("Obnovuji nastavení terminálu\n");
    thncurses_stop();
    endwin();
    printf("Terminal obnoven\n");
}

void initNcurses() {
    setlocale(LC_ALL, "");
    initscr();
    noecho();
    raw();
    atexit(obnovTerminal);

    if (!has_colors()) {
        fprintf(stderr, "Terminál nepodporuje barvy\n");
        exit(EXIT_FAILURE);
    }
    if (start_color() != OK) {
        fprintf(stderr, "Nepodařilo se inicializovat barvy\n");
        exit(EXIT_FAILURE);
    }
}
